# Package org.eclipse.ecf.core.provider

Interface Summary
IContainerInstantiator: Interface that must be implemented by ECF provider implementations.
IRemoteServiceContainerInstantiator: Interface that must be implemented by ECF remote service provider implementations.

Class Summary
BaseContainerInstantiator: Default implementation of `IContainerInstantiator`.
BaseRemoteServiceContainerInstantiator: Default implementation of `IRemoteServiceContainerInstantiator`.
ContainerInstantiatorUtils

Exception Summary
ContainerIntentException